aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xpartition.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/partition.sh b/partition.sh
index f13c295..a1f0f78 100755
--- a/partition.sh
+++ b/partition.sh
@@ -53,6 +53,7 @@ fripost_encrypt $part_system system_crypt \
# Create logical volumes for /, swap and /home using LVM2
vg=$(hostname)
+apt-install lvm2 || true # LVM need to be installed in the target chroot
pvcreate -ff -y /dev/mapper/system_crypt
vgcreate $vg /dev/mapper/system_crypt